<%= form_for @changeset, @action, fn f -> %>
  <%= if @changeset.action do %>
    <div class="alert alert-danger">
      <p>Oops, something went wrong! Please check the errors below.</p>
    </div>
  <% end %>

  <div class="form-group">
    <%= label f, :name, class: "control-label" %>
    <%= text_input f, :name, class: "form-control" %>
    <%= error_tag f, :name %>
  </div>

  <div class="form-group">
    <%= label f, :description, class: "control-label" %>
    <%= textarea f, :description, class: "form-control" %>
    <%= error_tag f, :description %>
  </div>

  <div class="form-group">
    <%= label f, :interface_type_id, class: "control-label" %>
    <%= select f, :interface_type_id, @interfaces |> Enum.map(&{&1.name, &1.id}) %>
    <%= error_tag f, :interface_type_id %>
  </div>

  <div class="form-group">
    <%= submit "Submit", class: "btn btn-primary" %>
  </div>
<% end %>
